Subject: multicast 3.5 release and sun4m hangs

From: "Richard A. Muirden" <[email-masked]>
Date: Fri, 26 Apr 1996 13:00:19 +1000 (EST)

hi multicasters

Running multicast 3.5(3.8 mrouted) on sun4m (SS10) and we get ethernet
(le0) hangs. There is a patch for this availabe from sun (102430-02) but
this breaks multicast (they provide a new if_le.o which doesn't have the
mcast additions). Has anyone integrated this patch into the ipmulti
distrib somehow so I can have multicast *and* the patch? ethernet hangs
on our main newsserver do tend to piss people off :(

-richard

-- 
Richard A. Muirden, Systems & Network Administration / Webmaster / Fanatic   :)
RMIT Information Technology Services (ITS)  *UNIX*   email: [email-masked]
I like: Boeing, United(UA), Ansett(AN), Vodka, Trek,  'phone: (+61 3) 9660 3814
Shostakovich. Shost CD's I own: 126.        Web: http://www.rmit.edu.au/richard

---

From: Bill Fenner <[email-masked]>
Date: Thu, 25 Apr 1996 21:37:14 PDT

In message <[email-masked]> you write:
>There is a patch for this availabe from sun (102430-02)

An earlier version of this patch (102430-01) is distributed with the
SunOS multicast distribution as sys.sunos414/sun4?.OBJ/if_le.o.patch
(or if_le.o.bpf.patch, see README-3.5 for details).  Does this help?

  Bill

---

From: Judi Theg Talley <[email-masked]>
Date: Fri, 26 Apr 1996 09:12:04 -0400

> (or if_le.o.bpf.patch, see README-3.5 for details).  Does this help?

No, this patch is not complete.  We have the same problem at UT.
After I made a SS20 into a fileserver, the box would freeze up
during our daily maintenance routines.  We tracked it to the
daily amanda dump.  After backing out the multicast patch and
installing the new le patch, we can run the dumps.  I was waiting
for a scheduled level 0 to make sure I had caught all the
problems before reporting this to the list since I hadn't seen
any mention of it here yet.

>   Bill

Judi
---
Judi Theg Talley <[email-masked]>	
http://www.cs.utk.edu/~judi/

There are no good system administrators, merely temporarily
    satisfied users.  --Tim Martin